Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Upgrade Instructions 1.3.5 > 2.0 Rate Topic   - - - - -

 
  • knoxbury
  • Senior Member
  • Members
  • Join Date: 14-Jan 08
  • 483 posts

Posted 07 May 2009 - 08:09 PM #1

Can someone please provide a link to instructions on upgrading a 1.3.5 cart to 2.0? You would think this would be standard, but I can't seem to find it.

And if they don't release instructions, we're left to wander aimlessly into problem after problem.

 
  • Struck
  • Teetering on Genious
  • Members
  • Join Date: 07-Mar 09
  • 2502 posts

Posted 07 May 2009 - 08:40 PM #2

Considering version 2 was just released like 3 hrs ago ;) , maybe you could try learning to have a little more patience and allow the CS-Cart people time to post the upgrade details..........

This way you won't need to wander so aimlessly :razz:
Cooking with Gas on Version 4.1.2 (But proceeding with caution....)

 
  • knoxbury
  • Senior Member
  • Members
  • Join Date: 14-Jan 08
  • 483 posts

Posted 07 May 2009 - 08:43 PM #3

I've been in IT for 11 years doing web development and network administration. I've never seen a company release a new product WITHOUT upgrade instructions!

 
  • Struck
  • Teetering on Genious
  • Members
  • Join Date: 07-Mar 09
  • 2502 posts

Posted 07 May 2009 - 08:50 PM #4

Sorry, don't mean to sound overly harsh or rude, however, instead of complaining maybe you should appreciate the fact that they did release the new version 2 in a timely fashion (easily inline with the timeframe they claimed for it to happen), and it actually is quite an impressive upgrade, and..........they even have the manuals updated to the new version already!
Cooking with Gas on Version 4.1.2 (But proceeding with caution....)

 
  • knoxbury
  • Senior Member
  • Members
  • Join Date: 14-Jan 08
  • 483 posts

Posted 07 May 2009 - 08:54 PM #5

Let me ask if you give Microsoft the same compassion?

And sorry, as I've said, I don't know of any product that releases without full upgrade instructions. Can you name another reputable tech product that follows this pattern of releasing a product first and then releasing instructions later (if they're released at all)? What good is releasing a new product if we don't know how to upgrade to it?

And it's not like they didn't know this was going to release now for over a year (as their release notice says).

I really wasn't making a big deal out of this until you started claiming that I was abnormal for expecting upgrade instructions when a product releases when in fact it's abnormal to not release upgrade instructions at the same time as the product release.

 

Posted 07 May 2009 - 10:42 PM #6

AHH the rage...
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.

 
  • Fleety
  • Member
  • Members
  • Join Date: 03-Mar 09
  • 46 posts

Posted 08 May 2009 - 08:32 PM #7

Let me ask if you give Microsoft the same compassion?

I don't personally know anyone that would offer, let alone give Microsoft any compassion.

Upgrade... yeah!
Doing not dreaming
--------------------------

2.0.10
Genetically Altered Electro skin

 
  • Yeikov
  • Junior Member
  • Members
  • Join Date: 12-Dec 08
  • 24 posts

Posted 09 May 2009 - 01:11 AM #8

Yeah I second knoxbury, those instructions are esential to upgrade our previous 1.3.5 versions to 2.0, yesterday I was trying to import all data from the old store with the admin utility and with the store manager, both failed and the database gets corrupted after importing the data, I realize it's not that simple.

So please... those intructions are kind of urgent

 
  • trevorl31
  • Member
  • Members
  • Join Date: 23-Jun 08
  • 37 posts

Posted 09 May 2009 - 01:20 AM #9

Knoxbury, don't know why the other dude was so upset at you asking for instructions to upgrade, I thought I saw " we will be providing a tool to do this" somewhere in the pretext....

Whats the harm in asking?:)

 
  • JSKY
  • Senior Member
  • Members
  • Join Date: 13-Nov 07
  • 151 posts

Posted 09 May 2009 - 05:21 AM #10

I tried today to upgrade to v2.0 but got error about some file change. I think the problem was that I tried to install .ztg which has been downloaded for new people not from "Upgrade Archive" file in which there is not upgrade yet available 1.3.5 to 2.0

Besides, can anyone help me with another issue. I upgraded 1.3.5 SP3 to SP4 and everything went good except 3 conflicts I got. 2 of them Auto fix worked but for config.php shows me, that it must to be done manually.

I opened resolve editor and found on the bottom as follows:
Ln 33 Col 17 - Character ordinal number from beginning of the line and character column.
Ch 156 - Character ordinal number from beginning of the text.

How and what should I do? I have no idea.
Thank you for any help;)
CSC v1.3.5 SP3
Firefox 3.6
Vista Ultimate JP/EN

 
  • xisnet
  • Junior Member
  • Members
  • Join Date: 10-May 07
  • 26 posts

Posted 09 May 2009 - 06:14 AM #11

They informed that the CS-Cart 2.0 is practically not compatible with the previous version due to changes in software architecture.The only way is to import the previous version CS-Cart database into new CS-Cart 2.0 databases and the special script for this will be release within a few weeks.

 
  • JSKY
  • Senior Member
  • Members
  • Join Date: 13-Nov 07
  • 151 posts

Posted 09 May 2009 - 06:30 AM #12

They informed that the CS-Cart 2.0 is practically not compatible with the previous version due to changes in software architecture.The only way is to import the previous version CS-Cart database into new CS-Cart 2.0 databases and the special script for this will be release within a few weeks.


Thank You a lot. It may be too complicated for me. I wonder how much it would cost me if someone from CS Team would do this for me. I`d better ask the source.
CSC v1.3.5 SP3
Firefox 3.6
Vista Ultimate JP/EN

 

Posted 09 May 2009 - 05:03 PM #13

Thank You a lot. It may be too complicated for me. I wonder how much it would cost me if someone from CS Team would do this for me. I`d better ask the source.


Very smart move and that's we did when we upgraded to 1.35...
Taylor's Nutrition Leading The Way For A Healthier Life

Join Our Facebook Fan Page Here.

 
  • JSKY
  • Senior Member
  • Members
  • Join Date: 13-Nov 07
  • 151 posts

Posted 10 May 2009 - 01:12 AM #14

Very smart move and that's we did when we upgraded to 1.35...


I did upgrade myself to 1.3.5 as it was easy and straight forward. Only small error with payment mod came up which CS team corrected as they did mod for me.
With upgrade from 1.3.5 to 2.0 is different story;) I sent support email but awaiting reply after May 11th, when they will be back from holiday.
Thank You again
CSC v1.3.5 SP3
Firefox 3.6
Vista Ultimate JP/EN

 
  • Yeikov
  • Junior Member
  • Members
  • Join Date: 12-Dec 08
  • 24 posts

Posted 11 May 2009 - 01:39 PM #15

The way I'm doing it now is exporting the data (scv) from SP4 and adjust it to V2 new structure, but customer and orders profiles are not working this way.

 

Posted 12 May 2009 - 02:46 AM #16

Let me ask if you give Microsoft the same compassion?

And sorry, as I've said, I don't know of any product that releases without full upgrade instructions. Can you name another reputable tech product that follows this pattern of releasing a product first and then releasing instructions later (if they're released at all)? What good is releasing a new product if we don't know how to upgrade to it?

And it's not like they didn't know this was going to release now for over a year (as their release notice says).

I really wasn't making a big deal out of this until you started claiming that I was abnormal for expecting upgrade instructions when a product releases when in fact it's abnormal to not release upgrade instructions at the same time as the product release.



I have to say I totally agree with knoxbury here. What about all the users that already have a stablelized websop? They should not release a new version untill they have an upgrade, its unprofessional.

 
  • diegito
  • Junior Member
  • Members
  • Join Date: 12-May 09
  • 19 posts

Posted 12 May 2009 - 06:53 PM #17

Hello. I would want to ask what would be better, to install the 1.3.5 version or 2.03 that before few days circulated? Because 2.03 is very recent, was it better I install previous? In a such case I might at some time do update in the newer version without it needs I remake the shop? Thanks

 
  • Struck
  • Teetering on Genious
  • Members
  • Join Date: 07-Mar 09
  • 2502 posts

Posted 12 May 2009 - 07:08 PM #18

What about all the users that already have a stablelized websop?


Don't worry, it is not as if your stablelized websop is going to like automatically stop working now that 2.xxx is released, and they aren't going to like force you to upgrade tomorrow either. :) You see, there really is no problem here, it is nothing more than a slight inconvenience for another couple days until they release the database upgrade script!
Cooking with Gas on Version 4.1.2 (But proceeding with caution....)

 
  • Yeikov
  • Junior Member
  • Members
  • Join Date: 12-Dec 08
  • 24 posts

Posted 13 May 2009 - 07:14 PM #19

Hello. I would want to ask what would be better, to install the 1.3.5 version or 2.03 that before few days circulated? Because 2.03 is very recent, was it better I install previous? In a such case I might at some time do update in the newer version without it needs I remake the shop? Thanks


Go for version 2, why take the old one?, both are great but v.2 is better.

 
  • nbento
  • Senior Member
  • Members
  • Join Date: 25-Nov 07
  • 105 posts

Posted 13 May 2009 - 10:24 PM #20

bottom line.
5 days later no upgarde instructions?

Whats up?